<?php
namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\Sm00002000ModeloPropostaComposicaoFactory;
use Teknisa\Libs\Util\Environment;

class Sm00002000ModeloPropostaComposicaoService
{
    
    protected $ModeloPropostaCompFactory;
    protected $Environment;
    
    public function __construct (Sm00002000ModeloPropostaComposicaoFactory $ModeloPropostaCompFactory, Environment $Environment){
        
        $this->ModeloPropostaCompFactory  = $ModeloPropostaCompFactory;
        $this->Environment  = $Environment;

    }
    
     /**
     * A função "validaCompProposta" verifica se a composição 
     * que está sendo relacionada já está relacionada ao modelo.
     */
     
    public function validaCompProposta($compServico, $orcaModelo){
    
        $paramsValidaComposicaoProp = array(
            "NRCOMPSERVICO"   => implode(',', $compServico),
            "NRORCAMENTOMODELO" => $orcaModelo,
            "NRORG"             => $this->Environment->getNrOrg()
        );
        
        $returnValidaComposicaoProp = $this->ModeloPropostaCompFactory->validaCompProposta($paramsValidaComposicaoProp);
        
        $codComposicoesInseridas = array();
        foreach ($returnValidaComposicaoProp as $row) {
            array_push($codComposicoesInseridas, $row["NRCOMPSERVICO"]);
        }
        
        return $codComposicoesInseridas;
        
    }

    public function excluirEmCascata($nrorcamentomodelo, $nrcompservico, $nrorg) {
        $params = array(
            "NRORCAMENTOMODELO" => $nrorcamentomodelo,
            "NRCOMPSERVICO"     => $nrcompservico,
            "NRORG"             => $nrorg
        );
        
        $this->ModeloPropostaCompFactory->excluirEmCascata($params);
    }

}
?>