/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/*                                                                            */
/* Compras e Suprimentos                                                      */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Nome: 8140_CMPFUN_CALC_ESTOQ_PREV.SQL                                                  */
/*                                                                            */
/* Descrio:                                                                 */
/* Calcula a quantidade em estoque do produto na data de processamento.       */
/*                                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 23/02/99 - Yoris L. de Souza                                               */
/*                                                                            */
/* Manutenes:                                                               */
/*   /  /   -                                                                 */
/*                                                                            */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/* PARAMETROS:                                                                */
/*                                                                            */
/* P_CDFILIAL    - Codigo da Filial.                                          */
/* P_CDPORDUTO   - Codigo do Produto.                                         */
/* P_DTPROCESS   - Data de Processamento.                                     */
/*                                                                            */
/* @D:\SQL\NECCMP\NECESS\8140_CMPFUN_CALC_ESTOQ_PREV.SQL                             */ 
/******************************************************************************/

CREATE OR REPLACE FUNCTION CALC_ESTOQ_PREV
  (P_CDFILIAL     IN FILIAL.CDFILIAL%TYPE,
   P_CDPRODUTO    IN PRODUTO.CDPRODUTO%TYPE,
   P_DTPROCESS    IN DATE) RETURN
                        NUMBER IS
   V_QTDEESTO     NUMBER;
   V_VALRESTO     NUMBER;
   V_VALRBRUT     NUMBER;

BEGIN

/* CHAMA PROCEDIMENTO DE CALCULO DA POSICAO DO ESTOQUE ATE A DATA DE PROCESSAMENTO */
  POSICAO_ESTOQUE(P_CDFILIAL,P_CDPRODUTO,
                  P_DTPROCESS,V_QTDEESTO,
                  V_VALRESTO, V_VALRBRUT,
                  'N', NULL, NULL);

 RETURN (V_QTDEESTO);
END;
/